Overview | Modules | Class Hierarchy | Classes | Members

Public Slots | Signals | Public Member Functions | Protected Member Functions
tlp::SGHierarchyWidget Class Reference
Tulip_Widgets

`#include <SGHierarchyWidget.h>`

List of all members.

## Public Slots

- void setGraph (Graph *)
- void update ()
- void updateCurrentGraphInfos (Graph *graph)
- void resizeFirstColumnToContent ()

## Signals

- void aboutToRemoveView (Graph *)
- void aboutToRemoveAllView (Graph *)
- void graphChanged (Graph *)

## Public Member Functions

- SGHierarchyWidget (QWidget *parent=NULL, Graph *rootGraph=NULL)
- Graph * getGraph () const

## Protected Member Functions

- void buildTreeView (Graph *p, QTreeWidgetItem *item=NULL)
- void removeSubgraph (Graph *graph, bool recursive)

## Constructor & Destructor Documentation

tlp::SGHierarchyWidget::SGHierarchyWidget | ( | QWidget * | parent = `NULL`,
|  | Graph * | rootGraph = `NULL`
| ) |  |

## Member Function Documentation

void tlp::SGHierarchyWidget::aboutToRemoveAllView | ( | Graph * |  | ) | `[signal]`

void tlp::SGHierarchyWidget::aboutToRemoveView | ( | Graph * |  | ) | `[signal]`

void tlp::SGHierarchyWidget::buildTreeView | ( | Graph * | p,
|  | QTreeWidgetItem * | item = `NULL`
| ) |  | `[protected]`

Graph* tlp::SGHierarchyWidget::getGraph | ( |  | ) | const

void tlp::SGHierarchyWidget::graphChanged | ( | Graph * |  | ) | `[signal]`

void tlp::SGHierarchyWidget::removeSubgraph | ( | Graph * | graph,
|  | bool | recursive
| ) |  | `[protected]`

void tlp::SGHierarchyWidget::resizeFirstColumnToContent | ( |  | ) | `[slot]`

void tlp::SGHierarchyWidget::setGraph | ( | Graph * |  | ) | `[slot]`

void tlp::SGHierarchyWidget::update | ( |  | ) | `[slot]`

void tlp::SGHierarchyWidget::updateCurrentGraphInfos | ( | Graph * | graph | ) | `[slot]`

Tulip Software by LaBRI Visualization Team 2001 - 2012